
def count_strings(*args):
    string_cnt = 0
    for x in args:
        if isinstance(x, str):
            string_cnt += 1
    return string_cnt

# print(count_strings(1, 2, 43, 5))

def find_keys(**kwargs):
    name_list = []
    for key, value in kwargs.items():
        if isinstance(value, (list, tuple)):
            name_list.append(key)
    return sorted(name_list, key=str.lower)

print(find_keys(t=[4, 5], W=[5, 3], A=(3, 2), a={2, 3}, b=[4]))
